Package com.independentsoft.office.charts

# Class ChartShapeProperties

java.lang.Object
com.independentsoft.office.charts.ChartShapeProperties

public class ChartShapeProperties extends Object
The Class ChartShapeProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChartShapeProperties()`
  Instantiates a new chart shape properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChartShapeProperties`
  `clone()`
  `BlackWhiteMode`
  `getBlackWhiteMode()`
  Gets the black white mode.
  `EffectList`
  `getEffectList()`
  Gets the effect list.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`a:extLst`).
  `GradientFill`
  `getGradientFill()`
  Gets the gradient fill.
  `GroupFill`
  `getGroupFill()`
  Gets the group fill.
  `NoFill`
  `getNoFill()`
  Gets the no fill.
  `Outline`
  `getOutline()`
  Gets the outline.
  `PatternFill`
  `getPatternFill()`
  Gets the pattern fill.
  `PictureFill`
  `getPictureFill()`
  Gets the picture fill.
  `PresetGeometry`
  `getPresetGeometry()`
  Gets the preset geometry.
  `Scene3D`
  `getScene3D()`
  Gets the scene3 d.
  `Shape3D`
  `getShape3D()`
  Gets the shape3 d.
  `SolidFill`
  `getSolidFill()`
  Gets the solid fill.
  `Transform2D`
  `getTransform2D()`
  Gets the transform2 d.
  `void`
  `setBlackWhiteMode​(BlackWhiteMode blackWhiteMode)`
  Sets the black white mode.
  `void`
  `setEffectList​(EffectList effectList)`
  Sets the effect list.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`a:extLst`).
  `void`
  `setGradientFill​(GradientFill gradientFill)`
  Sets the gradient fill.
  `void`
  `setGroupFill​(GroupFill groupFill)`
  Sets the group fill.
  `void`
  `setNoFill​(NoFill noFill)`
  Sets the no fill.
  `void`
  `setOutline​(Outline outline)`
  Sets the outline.
  `void`
  `setPatternFill​(PatternFill patternFill)`
  Sets the pattern fill.
  `void`
  `setPictureFill​(PictureFill pictureFill)`
  Sets the picture fill.
  `void`
  `setPresetGeometry​(PresetGeometry presetGeometry)`
  Sets the preset geometry.
  `void`
  `setScene3D​(Scene3D scene3D)`
  Sets the scene3 d.
  `void`
  `setShape3D​(Shape3D shape3D)`
  Sets the shape3 d.
  `void`
  `setSolidFill​(SolidFill solidFill)`
  Sets the solid fill.
  `void`
  `setTransform2D​(Transform2D transform2D)`
  Sets the transform2 d.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChartShapeProperties

    public ChartShapeProperties()
    Instantiates a new chart shape properties.

- ## Method Details

  - ### clone

    public ChartShapeProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`a:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`a:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getBlackWhiteMode

    public BlackWhiteMode getBlackWhiteMode()
    Gets the black white mode.
    Returns:
      the black white mode

  - ### setBlackWhiteMode

    public void setBlackWhiteMode​(BlackWhiteMode blackWhiteMode)
    Sets the black white mode.
    Parameters:
      `blackWhiteMode` - the new black white mode

  - ### getPictureFill

    public PictureFill getPictureFill()
    Gets the picture fill.
    Returns:
      the picture fill

  - ### setPictureFill

    public void setPictureFill​(PictureFill pictureFill)
    Sets the picture fill.
    Parameters:
      `pictureFill` - the new picture fill

  - ### getEffectList

    public EffectList getEffectList()
    Gets the effect list.
    Returns:
      the effect list

  - ### setEffectList

    public void setEffectList​(EffectList effectList)
    Sets the effect list.
    Parameters:
      `effectList` - the new effect list

  - ### getGradientFill

    public GradientFill getGradientFill()
    Gets the gradient fill.
    Returns:
      the gradient fill

  - ### setGradientFill

    public void setGradientFill​(GradientFill gradientFill)
    Sets the gradient fill.
    Parameters:
      `gradientFill` - the new gradient fill

  - ### getGroupFill

    public GroupFill getGroupFill()
    Gets the group fill.
    Returns:
      the group fill

  - ### setGroupFill

    public void setGroupFill​(GroupFill groupFill)
    Sets the group fill.
    Parameters:
      `groupFill` - the new group fill

  - ### getOutline

    public Outline getOutline()
    Gets the outline.
    Returns:
      the outline

  - ### setOutline

    public void setOutline​(Outline outline)
    Sets the outline.
    Parameters:
      `outline` - the new outline

  - ### getNoFill

    public NoFill getNoFill()
    Gets the no fill.
    Returns:
      the no fill

  - ### setNoFill

    public void setNoFill​(NoFill noFill)
    Sets the no fill.
    Parameters:
      `noFill` - the new no fill

  - ### getPatternFill

    public PatternFill getPatternFill()
    Gets the pattern fill.
    Returns:
      the pattern fill

  - ### setPatternFill

    public void setPatternFill​(PatternFill patternFill)
    Sets the pattern fill.
    Parameters:
      `patternFill` - the new pattern fill

  - ### getPresetGeometry

    public PresetGeometry getPresetGeometry()
    Gets the preset geometry.
    Returns:
      the preset geometry

  - ### setPresetGeometry

    public void setPresetGeometry​(PresetGeometry presetGeometry)
    Sets the preset geometry.
    Parameters:
      `presetGeometry` - the new preset geometry

  - ### getScene3D

    public Scene3D getScene3D()
    Gets the scene3 d.
    Returns:
      the scene3 d

  - ### setScene3D

    public void setScene3D​(Scene3D scene3D)
    Sets the scene3 d.
    Parameters:
      `scene3D` - the new scene3 d

  - ### getSolidFill

    public SolidFill getSolidFill()
    Gets the solid fill.
    Returns:
      the solid fill

  - ### setSolidFill

    public void setSolidFill​(SolidFill solidFill)
    Sets the solid fill.
    Parameters:
      `solidFill` - the new solid fill

  - ### getShape3D

    public Shape3D getShape3D()
    Gets the shape3 d.
    Returns:
      the shape3 d

  - ### setShape3D

    public void setShape3D​(Shape3D shape3D)
    Sets the shape3 d.
    Parameters:
      `shape3D` - the new shape3 d

  - ### getTransform2D

    public Transform2D getTransform2D()
    Gets the transform2 d.
    Returns:
      the transform2 d

  - ### setTransform2D

    public void setTransform2D​(Transform2D transform2D)
    Sets the transform2 d.
    Parameters:
      `transform2D` - the new transform2 d